Subject: Bug#1133: [X2Go-Dev] Bug#1133: Inconsistent Perl used by server or its agent on connect

From: Ted Toal <[email-masked]>
Date: Tue, 10 Jan 2017 14:48:22 -0800

I disagree.  Perl behavior is to look at env. var. PERL5LIB to find its library.  This should be set to match the Perl that is being invoked, which is normally done by placing that Perl’s bin directory on the path.  Since I did place it on the path, there are only two possibilities for why x2go ran /usr/bin/perl: either it hard-coded the path to Perl, in which case it should first set PERL5LIB (or maybe there is a Perl command line arg to specify the library folder), OR x2go ignored my changes to PATH when it ran perl (in which case it should also ignore PERL5LIB).

- Ted

> On Jan 10, 2017, at 2:35 PM, Stefan Baur <[email-masked]> wrote:
> 
> Control: close -1
> Control: tag -1 not-a-bug
> 
> Am 10.01.2017 um 22:15 schrieb Ted Toal:
>> Package: NXAGENT
>> Version: 3.5.0
>> 
>> My .bash_profile defines Perl environment variables for Active Perl, and adds the Active Perl bin directory to the start of the path. This causes an x2go session to fail with the message:
>> Connection failed. /usr/bin/perl: symbol lookup error: /share/carvajal-archive/PACKAGES/local/ActivePerl-5.24/lib/auto/Sys/Hostname/Hostname.so: undefined symbol: Perl_xs_handshake
>> NXAGENT is user /usr/bin/perl and ignoring the Perl bin directory at the start of the path, but it is nevertheless using the Perl environment variables and so is looking in the wrong place for the Perl library.
> 
> I'd say this isn't a bug, but actually expected behavior.
> If you need different values for variables depending on which software
> you run, you either need to prefix them manually each time you call that
> software, or write a wrapper script, or use if/then clauses in your
> .bash_profile.  The latter is what you seem to have decided to do, and
> ran into problems with, judging from your bug report #1134, thus closing
> this one.
> 
> -Stefan
> 
> 
> -- 
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>